package com.liquidnet.service.sweet.mapper;

import com.liquidnet.service.sweet.dto.SweetActivityDrawListDao;
import com.liquidnet.service.sweet.dto.admin.SweetIntegralActivityDrawListSearchParam;
import com.liquidnet.service.sweet.entity.SweetIntegralActivityDraw;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 积分活动抽奖记录表 Mapper 接口
 * </p>
 *
 * @author jiangxiulong
 * @since 2021-10-20
 */
public interface SweetIntegralActivityDrawMapper extends BaseMapper<SweetIntegralActivityDraw> {

    List<SweetActivityDrawListDao> selectExcelList(@Param("integralActivityId") String integralActivityId);

    List<SweetActivityDrawListDao> searchLists(SweetIntegralActivityDrawListSearchParam listParam);

    int sureOutPrizeNum(String activityId);

    int totalDrawNum(String activityId);

    int otherOutPrizeNum(String activityId);
}
